unit lstools; // version: 1999/05/16
//
//     _   _   _         _ _                    __  ____    _____     __  ____
//    //_ //_ //_ __    ////_ _ _ _ _ _ _ _ _  /__\/ __/\  / / _ \   /__\/ __/
//   /_ // _// _//_ \o ////////////////////// //_// __/\ \/ /||_||  //_// __/
//  //// \_/ \_// __/o/////____//____//____/o/___/\__/  \__/ \___/o/___/___/
//             /_/
//
// ----------------------------------------------------------------------------
// lstools.pas provides additional functions for module programming.
// ----------------------------------------------------------------------------
//
// history:
// 1999/05/16 - murphy@dev0.de
// - first start of writing.
// - added functions:
//   GetLitestepDesktop
//


interface

uses
  Windows;

const
  WC_LSDESKTOP='DesktopBackgroundClass';

function GetLitestepDesktop:HWnd;

implementation

function GetLitestepDesktop:HWnd;
var
  hDesktop:HWnd;
begin
  hDesktop:=FindWindow(WC_LSDESKTOP,nil);
  if hDesktop=0 then
    hDesktop:=GetDesktopWindow;
  result:=hDesktop;
end;

end.

