unit wharfdata; // version: 1999/05/13
//
//     _   _   _         _ _                    __  ____    _____     __  ____
//    //_ //_ //_ __    ////_ _ _ _ _ _ _ _ _  /__\/ __/\  / / _ \   /__\/ __/
//   /_ // _// _//_ \o ////////////////////// //_// __/\ \/ /||_||  //_// __/
//  //// \_/ \_// __/o/////____//____//____/o/___/\__/  \__/ \___/o/___/___/
//             /_/
//
// ----------------------------------------------------------------------------
// wharfdata.h headerconvert from litestep source 1999/05/13:
// the unit wharfdata provides an interface for litestep programmers to wharf-
// data of litestep.
// ----------------------------------------------------------------------------
//
// history:
// 1999/05/13 - murphy@dev0.de
// - first start of conversion.
//

interface

uses
  Windows;

type
  windowTypePtr=^windowType;
  windowType=record
    Handle  :HWnd;
    Visible :Bool;
    Position:TRect;
  end;

type
  wharfDataTypePtr=^wharfDataType;
  wharfDataType=record
    borderSize      :Longint;
    pos             :Longint;
    winListSize     :Longint;
    winList         :windowTypePtr;
    trayIconSize    :Longint;
    lm78Unit        :Longint;
    lm78MaxCPU      :Longint;
    lm78MaxMb       :Longint;
    lm78CPU         :Longint;
    taskBar         :Longint;
    msTaskBar       :Longint;
    taskBarFore     :Longint;
    taskBarBack     :Longint;
    taskbarText     :Longint;
    vwmVelocity     :Longint;
    autoHideWharf   :Longint;
    autoHideTaskBar :Longint;
    vwmDistance     :Longint;
    autoHideDelay   :Longint;
    showBeta        :Longint;
    usClock         :Longint;
    VWMNoGathering  :Longint;
    VWMNoAuto       :Longint;
    xmouseDelay     :Longint;
    xmouseBringToTop:Longint;
    pixmapDir       :PChar;
    defaultBmp      :PChar;
    vwmBackColor    :Longint;
    vwmSelBackColor :Longint;
    vwmForeColor    :Longint;
    vwmBorderColor  :Longint;
    backsaver       :PChar;
    taskBarFore2    :Longint;
    stripBar        :Longint;
    lsPath          :PChar;
  end;

const
  magicDWord=$49474541;

implementation

end.

